<!--
  @description: 招标项目-项目管理-定标-中标通知书/结果通知书-查看通知书
  @author: 肖文龙/haoFx
  @routerPath:/bidding/projectDrive/calibration/letterAcceptanceDetail
  @date:2019-11-16 16:12:35
-->
<template>
  <div>
    <pdf :pdf-url="pdfUrl" />
    <div v-show="isShow" class="view mb16">
      <div class="page-title">
        附件
      </div>
      <downloadFile ref="downloadFile" :data="upLoadData" @file="fileList" />
    </div>
  </div>
</template>
<script>
/* api*/
import { readImageRoot } from '@api/common/uploadCenter'
import { getFileDetail } from '@/api/common/uploadCenter'
/* 混入 */
import { bidResultNoticeMixin } from './../mixins/bidResultNoticeMixin'// 公共参数
/* 组件*/
import downloadFile from '@comp/common/updownload/downloadFile' // 获取附件信息 下载组件
import pdf from '@comp/common/pdf/pdf'
export default {
  name: 'LetterAcceptanceDetail',
  components: {
    downloadFile, // 文件下载
    pdf
  },
  mixins: [bidResultNoticeMixin],
  data() {
    return {
      flowStatus: this.$route.query.flowStatus, // 01 工作流进入
      pdfUrl: '',
      readImageUrl: readImageRoot, // 预览图片
      noticeType: this.$route.meta.noticeType, // 01 中标知书 00 中标结果通知书
      // 上传附件参数
      upLoadData: {
        bizId: '', // 业务主键Id
        fileType: ' '// 文件类型
      },
      // 获取通知书内容pdf
      noticeContentData: {
        bizId: '', // 业务主键Id
        fileType: ''// 文件类型
      },
      isShow: true // 是否展示附件
    }
  },
  created() {
    let noticeId = ''
    if (this.flowStatus) {
      noticeId = this.$route.query.bizId
    } else {
      noticeId = this.$route.query.noticeId
    }
    this.upLoadData.bizId = noticeId // 获取上传附件
    this.noticeContentData.bizId = noticeId // 获取通知书内容pdf
    this.initNoticeType()
    // 获取通知书内容pdf
    this.getNoticesContentPdf()
  },
  methods: {
    /* 初始化*/
    initNoticeType() {
      // 01 是中标通知书
      if (this.noticeType === '01') {
        // 是中标通知书
        this.noticeContentData.fileType = this.winNoticePdf.fileType
        // 附件类型
        this.upLoadData.fileType = this.winNoticeFile.fileType
      }
      // 00 中标结果通知书
      if (this.noticeType === '00') {
        this.noticeContentData.fileType = this.resultNoticePdf.fileType
        // 附件类型
        this.upLoadData.fileType = this.resultNoticeFile.fileType
      }
    },
    // 获取通知书内容
    getNoticesContentPdf() {
      getFileDetail(this.noticeContentData).then(response => {
        const url = this.readImageUrl + response.data[0].path
        this.pdfUrl = encodeURIComponent(url)
      }).catch(() => {
      })
    },
    // 判断是否有附件 有附件就展示 否则不展示
    fileList(file) {
      if (file && file.length <= 0) {
        this.isShow = false
      }
    }
  }
}
</script>
<style lang="less" scoped>
</style>
